/*
 * $Id: UdpRequestResponseTestCase.java 22450 2011-07-19 08:20:41Z dirk.olmes $
 * --------------------------------------------------------------------------------------
 * Copyright (c) MuleSoft, Inc.  All rights reserved.  http://www.mulesoft.com
 *
 * The software in this package is published under the terms of the CPAL v1.0
 * license, a copy of which has been included with this distribution in the
 * LICENSE.txt file.
 */

package org.mule.transport.udp;

import org.mule.api.MuleMessage;
import org.mule.tck.junit4.FunctionalTestCase;
import org.mule.tck.junit4.rule.DynamicPort;

import org.junit.Rule;
import org.junit.Test;

import static org.junit.Assert.assertEquals;

public class UdpRequestResponseTestCase extends FunctionalTestCase
{
    private static final String EXPECTED = TEST_MESSAGE + " received";

    @Rule
    public DynamicPort dynamicPort = new DynamicPort("port1");

    @Override
    protected String getConfigResources()
    {
        return "udp-request-response.xml";
    }

    @Test
    public void testRequestResponse() throws Exception
    {
        MuleMessage response = muleContext.getClient().send("vm://fromTest", TEST_MESSAGE, null);
        assertEquals(EXPECTED, response.getPayloadAsString());
    }
}
